<mat-toolbar color="primary">
    <mat-toolbar-row fxLayout="row">
        <span>Change Password</span>
        <span class="spacer"></span>
        <button class="mat-dialog-close" mat-icon-button mat-dialog-close>
            <mat-icon>close</mat-icon>
        </button>
    </mat-toolbar-row>
</mat-toolbar>
<mat-dialog-content class="mat-typography">
    <form [formGroup]="changePasswordForm">
        <div fxFlex fxLayout="column">
            <mat-form-field appearance="standard" fxFlex>
                <mat-label>Old Password</mat-label>
                <input matInput formControlName="oldPassword" type="password" required [type]="oldPassword ? 'password' : 'text'">
                <button type="button" mat-icon-button matSuffix (click)="oldPassword = !oldPassword" [attr.aria-label]="'Hide password'"[attr.aria-pressed]="oldPassword">
                    <mat-icon>{{oldPassword ? 'visibility_off' : 'visibility'}}</mat-icon>
                </button>
                <mat-error *ngIf="changePasswordForm.controls.oldPassword.touched && changePasswordForm.controls.oldPassword.invalid">
                    <span *ngIf="changePasswordForm.controls.oldPassword.errors.required">This field is mondatory.</span>
                </mat-error>
            </mat-form-field>
            <mat-form-field appearance="standard" fxFlex>
                <mat-label>New Password</mat-label>
                <input matInput formControlName="newPassword" type="password" required [type]="newPassword ? 'password' : 'text'">
                <button type="button" mat-icon-button matSuffix (click)="newPassword = !newPassword" [attr.aria-label]="'Hide password'"[attr.aria-pressed]="newPassword">
                    <mat-icon>{{newPassword ? 'visibility_off' : 'visibility'}}</mat-icon>
                </button>
                <mat-error *ngIf="changePasswordForm.controls.newPassword.touched && changePasswordForm.controls.newPassword.invalid">
                    <span *ngIf="changePasswordForm.controls.newPassword.errors.required">This field is mondatory.</span>
                </mat-error>
            </mat-form-field>
            <mat-form-field appearance="standard" fxFlex>
                <mat-label>Confirm Password</mat-label>
                <input matInput formControlName="confirmPassword" type="password" required [type]="confirmPassword ? 'password' : 'text'">
                <button type="button" mat-icon-button matSuffix (click)="confirmPassword = !confirmPassword" [attr.aria-label]="'Hide password'"[attr.aria-pressed]="newPassword">
                    <mat-icon>{{confirmPassword ? 'visibility_off' : 'visibility'}}</mat-icon>
                </button>
                <mat-error *ngIf="changePasswordForm.controls.confirmPassword.touched && changePasswordForm.controls.confirmPassword.invalid">
                    <span *ngIf="changePasswordForm.controls.confirmPassword.errors.required">This field is mondatory.</span>
                </mat-error>
                <mat-hint *ngIf="validateSubmit() && !(changePasswordForm.controls.confirmPassword.invalid)">
                    <span>New Password & Conform password does not match.</span>
                </mat-hint>
            </mat-form-field>
        </div>
    </form>

</mat-dialog-content>

<mat-dialog-actions align="end">
    <button mat-raised-button color="primary" type="submit" (click)="handlePasswordChangeSubmit()" [disabled]="validateSubmit() || !(changePasswordForm.valid && changePasswordForm.dirty)">
        <mat-icon>save</mat-icon> Update
    </button>
    <button mat-raised-button color="warn" mat-dialog-close>
        <mat-icon>cancel</mat-icon> close
    </button>
</mat-dialog-actions>

